TensorFlow not found using pip - solution

Problem:

$ pip install tensorflow --user
Collecting tensorflow
Could not find a version that satisfies the requirement tensorflow (from versions: )
No matching distribution found for tensorflow

To install the TensorFlow you need to meet the following requirements :

System requirements As of the date 05.15.2020

  • Python 3.5–3.7
  • pip 19.0 or later (requires manylinux2010 support)
  • Ubuntu 16.04 or later (64-bit)
  • macOS 10.12.6 (Sierra) or later (64-bit) (no GPU support)
  • Windows 7 or later (64-bit) (Python 3 only)
    • Microsoft Visual C++ Redistributable for Visual Studio 2015, 2017 and 2019
  • Raspbian 9.0 or later
  • GPU support requires a CUDA®-enabled card (Ubuntu and Windows

Check your python version:

Open cmd and run python

C:UsersHome>python
Python 3.7 (tags/v3.8.2:7b3ab59, Feb 25 2020, 23:03:10) [MSC v.1916 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>>

You need to check your python version is 3.5–3.7 not 3.8. also you need to check that yoru python is 64 bit version and not 32 bit.

Update your php version:

python -m pip install --upgrade pip